# mysqlpp::GuessConnectionOption Class Reference

Allow C API to guess what kind of connection to use. More...

`#include <options.h>`

Inheritance diagram for mysqlpp::GuessConnectionOption:

[legend]
Collaboration diagram for mysqlpp::GuessConnectionOption:

[legend]
List of all members.

## Detailed Description

Allow C API to guess what kind of connection to use.

This is the default. The option exists to override UseEmbeddedConnectionOption and UseEmbeddedConnectionOption.

The documentation for this class was generated from the following file:

- options.h